Subject: [secdir] SECDIR review of draft-ietf-teas-pce-native-ip-14

From: Donald Eastlake <[email-masked]>
Date: Tue, 8 Dec 2020 00:57:33 -0500

I have reviewed this document as part of the security directorate's ongoing
effort to review all IETF documents being processed by the IESG.  Document
editors and WG chairs should treat these comments just like any other last
call comments.

The summary of the review is Ready with Issues.

Security:
This is a very high level Informational document about a general method of
traffic engineering using multiple BGP sessions and PCE. The Security
Considerations section is adequate except that I would recommend adding a
reference for BGP security, perhaps to RFC 7454.

Other Issues:
The title of the document doesn't really make it clear what it is about and
does not spell out some acronyms. I suggest the following:

Path Computation Element (PCE) Traffic Engineering (TE) in Native IP
NetworkNetworks

Editorial:
There are a number of editorial/typo issues including the curious lack of
any expansion or definition for the first three acronyms listed in Section
2 on Terminology and what appears to be a line sliced off the bottom of
Figure 3. Also, I think a reference should be given where BGP Flowspec is
mentioned in Section 7.1, presumably to the rfc5575bis draft. See attached
for detailed change suggestions in MS Word with tracked changes and,
alternatively, as a PDF thereof.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 2386 Panoramic Circle, Apopka, FL 32703 USA
 [email-masked]

---

From: "Aijun Wang" <[email-masked]>
Date: Wed, 9 Dec 2020 10:25:40 +0800

Hi, Donald:

Thanks for your careful review.

I have updated the draft according to your suggestions, except one minor change for the name of the document. 

It seems “Path Computation Element (PCE) based Traffic Engineering (TE) in Native IP Network”is more better?

I have uploaded the new version on the IETF repository.

Detail responses are inline below.

Best Regards

Aijun Wang

China Telecom

From: [email-masked] <[email-masked]> 
Sent: Tuesday, December 8, 2020 1:58 PM
To: [email-masked]; [email-masked]
Cc: secdir <[email-masked]>; [email-masked]
Subject: SECDIR review of draft-ietf-teas-pce-native-ip-14

I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG.  Document editors and WG chairs should treat these comments just like any other last call comments.

Security:

This is a very high level Informational document about a general method of traffic engineering using multiple BGP sessions and PCE. The Security Considerations section is adequate except that I would recommend adding a reference for BGP security, perhaps to RFC 7454.

[WAJ] Done, thanks.

Other Issues:

The title of the document doesn't really make it clear what it is about and does not spell out some acronyms. I suggest the following:

Path Computation Element (PCE) Traffic Engineering (TE) in Native IP NetworkNetworks

[WAJ] Just add one word “based” to become “Path Computation Element (PCE) based Traffic Engineering (TE) in Native IP Network”

Editorial:

There are a number of editorial/typo issues including the curious lack of any expansion or definition for the first three acronyms listed in Section 2 on Terminology and what appears to be a line sliced off the bottom of Figure 3. Also, I think a reference should be given where BGP Flowspec is mentioned in Section 7.1, presumably to the rfc5575bis draft. See attached for detailed change suggestions in MS Word with tracked changes and, alternatively, as a PDF thereof.

[WAJ] Done, thanks.

Thanks,

Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 2386 Panoramic Circle, Apopka, FL 32703 USA
 [email-masked] <mailto:[email-masked]>